KWIN_PROTO_REFRESH_FUNC(3)

PROTO_FUNC
kwin_PROTO_refresh_func - Process a refresh event for a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

void kwin_PROTO_refresh_func

(KPixCanvas canvas, int width, int height, void **info, PostScriptPage pspage, unsigned int num_areas, KPixCanvasRefreshArea *areas, flag *honoured_areas)

DESCRIPTION
Process a refresh event for a pixel canvas.

canvas
    The pixel canvas.

width
    The width of the canvas in pixels.

height
    The height of the canvas in pixels.

info
    A pointer to the arbitrary canvas information pointer.

pspage
    If not NULL, the PostScriptPage object the refresh is redirected to.

num_areas
    The number of areas that need to be refreshed. If this is 0 then the entire pixel canvas needs to be refreshed.

areas
    The list of areas that need to be refreshed.

honoured_areas
    If the value TRUE is written here it is assumed the routine honoured the list of refresh areas and did not write outside these areas and hence the list of areas will be passed to subsequent registered refresh routines. If FALSE is written here (or nothing is written here), implying the routine refreshed the entire pixel canvas, subsequent refresh routines will be told to refresh the entire canvas.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/